tvbrowser.ui.update

## Class SoftwareUpdateDlg.FilterItem

- java.lang.Object
- - tvbrowser.ui.update.SoftwareUpdateDlg.FilterItem

- All Implemented Interfaces:
    ItemFilter
  Enclosing class:
    SoftwareUpdateDlg

      public static class SoftwareUpdateDlg.FilterItem
      extends java.lang.Object
      implements ItemFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftwareUpdateDlg.FilterItem(java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.lang.Object o)` Gets if the filter accepts the given Object.
    `int` | `compareTo(java.lang.Object o)` Compares the names of this filter item and the given Object if it is a filter item or if the given Object is a String with it's internalisation.
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftwareUpdateDlg.FilterItem

          public SoftwareUpdateDlg.FilterItem(java.lang.String type)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares the names of this filter item and the given Object if it is a filter item or if the given Object is a String with it's internalisation.

      Parameters:
        `o` - The Object to compare with
      Returns:
        < 0 if the name of this item is alphabetical smaller as the given String 0 if they are equal and > 0 if this name is greater.

    - #### accept

          public boolean accept(java.lang.Object o)

      Description copied from interface: `ItemFilter`
      Gets if the filter accepts the given Object.

      Specified by:
        `accept` in interface `ItemFilter`
      Parameters:
        `o` - The Object to check.
      Returns:
        `True` if the filter accepts the Object, `false` otherwise.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)